BimpHelp

Batches: Bimp API methods

Bimp API methods for the “Batches” resource (/org2/party/…): 3 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/party/api-readListA request to view a list of parties for the specified nomenclature GUID
POST /org2/party/api-readA request to obtain detailed information for a party
POST /org2/party/api-updateA request to update a party

api-readList

POST /org2/party/api-readList

A request to view a list of parties for the specified nomenclature GUID

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesNomenclature GUID for which parties should be returned

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
[].archivedboolean
[].stockBalancenumber
[].receiptDatestring
[].imeistring
[].commentstring
[].serialNumberstring
[].supplierNamestring
[].quantitynumber
[].expirationDatestring | null
[].costPricenumber
[].accountingCurrencyobject | null
[].pricenumber
[].costPriceInCurrencynumber
[].currencyobject | null
[].warehouseobject | null
[].nomenclatureobject | null
[].unitOfMeasurementobject | null
[].serialNumbersobject | null
[].reservenumber
[].characteristicobject | null
curl -X POST 'https://app.bimpsoft.com/org2/party/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-read

POST /org2/party/api-read

A request to obtain detailed information for a party

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key of the party

Response: data field

FieldTypeDescription
uuidstring (uuid)
namestring
archivedboolean
stockBalancenumber
receiptDatestring
imeistring
commentstring
serialNumberstring
supplierNamestring
quantitynumber
expirationDatestring | null
costPricenumber
accountingCurrencyobject | null
pricenumber
costPriceInCurrencynumber
currencyobject | null
warehouseobject | null
nomenclatureobject | null
unitOfMeasurementobject | null
serialNumbersobject | null
reservenumber
characteristicobject | null
counterpartyobject | null
shelfLifenumber
receiptDocumentobject | null
barcodestring
curl -X POST 'https://app.bimpsoft.com/org2/party/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/party/api-update

A request to update a party

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key of the party
namestring
archivedboolean
stockBalancenumber
receiptDatestring
imeistring
commentstring
serialNumberstring
supplierNamestring
quantitynumber
expirationDatestring | null
costPricenumber
accountingCurrencyobject | null
pricenumber
costPriceInCurrencynumber
currencyobject | null
warehouseobject | null
nomenclatureobject | null
unitOfMeasurementobject | null
serialNumbersobject | null
reservenumber
characteristicobject | null
counterpartyobject | null
shelfLifenumber
receiptDocumentobject | null
barcodestring

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/party/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.